
#detect player at room
execute as @a[tag=playing] at @s if entity @e[tag=start,tag=!activated,distance=..2] run scoreboard players add @s unlock 1
execute as @a[tag=playing] at @s if entity @e[tag=start,tag=!activated,distance=..2] run tellraw @a ["",{"text":"<!> ","color":"gold"},{"selector":"@s"},{"text":" entered a new room!","color":"gold"}]
execute as @a[tag=playing] at @s as @e[tag=start,tag=!activated,distance=..2] run playsound minecraft:block.piston.extend master @a ~ ~ ~ 1 1
execute as @a[tag=playing] at @s as @e[tag=start,tag=!activated,distance=..2] run function game:unlock_room

execute as @e[tag=finish] at @s as @a[distance=..1.5,tag=!finish,tag=!spectating] run title @s title {"text": "✔","color": "green"}
execute as @e[tag=finish] at @s as @a[distance=..1.5,tag=!finish,tag=!spectating] run gamemode spectator @s
execute as @e[tag=finish] at @s as @a[distance=..1.5,tag=!finish,tag=!spectating] run tellraw @a ["",{"text":"<✔> ","color":"green"},{"selector":"@s"},{"text":" escaped!","color":"green"}]
execute as @e[tag=finish] at @s as @a[distance=..1.5,tag=!finish,tag=!spectating] run tag @s remove playing
execute as @e[tag=finish] at @s as @a[distance=..1.5,tag=!finish,tag=!spectating] run tag @s add spectating
execute as @e[tag=finish] at @s as @a[distance=..1.5] run tag @s add finish



execute unless entity @a[tag=playing] run scoreboard players add end main 1
execute if score end main matches 10 if entity @a[tag=finish] run tellraw @a {"text": "Finished:","bold":true}
execute if score end main matches 10 unless entity @a[tag=finish] run tellraw @a {"text": "No one survived","bold":true}
execute if score end main matches 10 as @a[tag=finish] run tellraw @a ["",{"selector":"@s"}," - ",{"score":{"name":"@s","objective":"health"},"color":"red"},{"text":"❤","color":"red"}]
execute if score end main matches 10 run scoreboard players add @a[tag=finish] finished 1
execute if score end main matches 100.. run function game:remove

#poison
execute as @a[tag=playing] at @s if block ~ ~ ~ water run effect give @s poison 3 1 true
execute as @a[tag=playing] at @s unless block ~ ~ ~ water run effect clear @s poison

execute as @a[nbt={Health:1.0f},tag=playing] at @s if block ~ ~ ~ water run scoreboard players add @s poison 1
execute as @a[nbt={Health:1.0f}] at @s unless block ~ ~ ~ water run scoreboard players set @s poison 0
execute as @a[scores={poison=10..}] run tag @s remove playing
execute as @a[scores={poison=10..}] run tag @s add spectating
execute as @a[scores={poison=10..}] run gamemode spectator
execute as @a[scores={poison=10..}] at @s run playsound minecraft:entity.wither.spawn master @s ~ ~ ~ 1 2
execute as @a[scores={poison=10..}] run title @s title {"text": "☠","color": "red"} 
execute as @a[scores={poison=10..}] run tellraw @a ["",{"text":"<☠> ","color": "red"},{"selector":"@s"},{"text":" died","color":"red"}]
scoreboard players set @a[scores={poison=10..}] poison 0

#structure void
execute as @e[tag=start] at @s run fill ~2 ~3 ~ ~-2 ~ ~ structure_void replace air

execute as @e[tag=start,tag=!activated] at @s run fill ~2 ~3 ~1 ~-2 ~ ~1 copper_block replace cyan_terracotta
execute as @e[tag=start,tag=activated] at @s run fill ~2 ~3 ~1 ~-2 ~ ~1 iron_block replace copper_block



#night vision
execute if score effects main matches 1 as @a[tag=playing] unless entity @s[nbt={ActiveEffects:[{Id:16}]}] run effect give @s minecraft:night_vision 10 1 true
execute if score effects main matches 1 as @a[tag=playing] unless entity @s[nbt={ActiveEffects:[{Id:33}]}] run effect give @s minecraft:darkness 10 1 true

